Name: demos
Version: 1.0
Summary: Misc. Demo programs
Release: 1_WR%{?_wr_rel}
License: BSD
Group: Applications/System
Source0: %{name}-%{version}.tar.gz

# WRLinux patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contain demo programs

%prep
%setup0 -q

%build
# WRLinux: set values to run 'make demos.compile'
%configure_target

# WRLinux: top Makefile does not pass make options to subdirectories
# if needed We do it here

demos_dirs="hello-1.0"
for prgm in $demos_dirs ; do
if test "x$prgm" = "hello-1.0" ; then
demos_EXTRAS="-D DEMOS"
else
demos_EXTRAS=""
fi

make -C $prgm -e \
	CC="${CC}" \
	CFLAGS="${CFLAGS} -I=/usr/include ${demos_EXTRAS}" \
	AS="${AS}" \
	AR="${AR}" \
	LD="${LD}"
done

%install
# WRLinux: set values to run 'make demos.install'
%configure_target
rm -rf $RPM_BUILD_ROOT

# WRLinux: Makefile does not have install targets we need do it here
mkdir -p $RPM_BUILD_ROOT/opt/%{name}-%{version}
tar -hcpf - . \
	| tar -C $RPM_BUILD_ROOT/opt/%{name}-%{version} -xpf - \
	--exclude='*.c' \
	--exclude='*.cpp' \
	--exclude='*.o' \
	--exclude='*/lib*.a' \
	--exclude='Makefile*' \

mkdir -p -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
install -m 744  README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}


%files
%defattr(-,root,root)
%doc README
%attr(0755,root,root) /opt/%{name}-%{version}/*

%changelog
* Wed Jun 18 2008 Howard Alyne <howard.alyne@windriver.com> - 1.0.1_WR
- initial spec file

