Name: touch_display_driver
Version: 1.0
Summary: touch display driver 
Release: 1_WR%{?_wr_rel}
License: BSD
Group: Applications/System
Source0: %{name}-%{version}.tar.gz

# WRLinux patches
Patch500: modify_include.patch
Patch501: remove_testcode.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contain touch screen driver package 

%prep
%setup0 -q
%patch500 -p1
%patch501 -p1

%build
# WRLinux: set values to run 'make touch_display_driver.compile'
%configure_target

make -e \
	CC="${CC}" \
	CFLAGS="${CFLAGS} -I. " \
	AS="${AS}" \
	AR="${AR}" \
	LD="${LD}"

%install
# WRLinux: set values to run 'make touch_display_driver.install'
%configure_target
rm -rf $RPM_BUILD_ROOT

# WRLinux: Makefile does not have install targets we need do it here
mkdir -p $RPM_BUILD_ROOT/usr/lib
cp -f libdisplay.a $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
cp -f displayLib.h $RPM_BUILD_ROOT/usr/include

mkdir -p -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
install -m 744  README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}


%files
%defattr(-,root,root)
%doc README
%attr(0755,root,root) /usr/lib/libdisplay.a
%attr(0755,root,root) /usr/include/displayLib.h

%changelog
* Wed Jun 18 2008 Howard Alyne <howard.alyne@windriver.com> - 1.0.1_WR
- initial spec file

